package dev.inmo.postssystem.features.files.common.storage

import dev.inmo.postssystem.features.files.common.*
import dev.inmo.micro_utils.repos.ReadCRUDRepo

interface ReadFilesStorage : ReadCRUDRepo<MetaFileInfoStorageWrapper, FileId> {
    suspend fun getBytes(id: FileId): ByteArray
    suspend fun getFullFileInfo(id: FileId): FullFileInfoStorageWrapper?
}
